struct GeoOut
{
	float4 Pos : SV_POSITION;
	//float3 PosW : POSITION;
	//float3 NormalW : NORMAL;
	float2 Tex : TEXCOORD0;
	//uint PrimID : SV_PrimitiveID;
	float4 color : COLOR;
};

Texture2D shaderTexture;
SamplerState SampleType;

float4 ParticleFragmentShader(GeoOut pin) : SV_TARGET
{
	float4 textureColor;
	float4 finalColor;

    // Sample the pixel color from the texture using the sampler at this texture coordinate location.
    textureColor = shaderTexture.Sample(SampleType, pin.Tex);

	// Combine the texture color and the particle color to get the final color result.
    finalColor = textureColor * pin.color * pin.color.a;

    
	return finalColor;
}